//
// Created by sebastian on 07.02.26.
//

#ifndef LIGHT_H
#define LIGHT_H
#include "glm/vec3.hpp"


class Light {
private:
    glm::vec3 position;
    glm::vec3 color;

public:
    Light(glm::vec3 position, glm::vec3 color) : position(position), color(color) {};

    [[nodiscard]] glm::vec3 getPosition() const {return position;}
    [[nodiscard]] glm::vec3 getColor() const {return color;}
    void setPosition(glm::vec3 position) {this->position = position;}
    void setColor(glm::vec3 color) {this->color = color;}
};



#endif //LIGHT_H
